
/////////////////////////////////////////////////////////////////////////////
//
// Feather 0.1
//
// Alden Dima
// alden.dima@nist.gov
//
// National Institute of Standards and Technology
// Software Diagnostics and Conformance Testing Division
// Gaithersburg, MD USA
// http://www.itl.nist.gov/div897
//
// Feather is released by the National Institute of Standards and Technology
// (NIST), an agency of the U.S. Department of Commerce, Gaithersburg
// MD 20899, USA.  Feather bears no warranty, either express or implied.
// NIST does not assume legal liability nor responsibility for a User's
// use of Feather or the results of such use.
//
// Please note that within the United States, copyright protection, under
// Section 105 of the United States Code, Title 17, is not available for
// any work of the United States Government and/or for any works created
// by United States Government employees.  User acknowledges that Feather
// contains work which was created by NIST employees and is therefore
// in the public domain and not subject to copyright. The User may use,
// distribute, or incorporate Feather provided the User acknowledges this via
// an explicit acknowledgment of NIST-related contributions to the User's   
// work. User also agrees to acknowledge, via an explicit acknowledgment,
// that any modifications or alterations have been made to Feather before
// redistribution.
//
//////////////////////////////////////////////////////////////////////////////

package nist.feather;

/**
 * Thrown when the native Tcl interpreter returns !TCL_OK or when script or
 * result strings exceed their predefined limits.
 * 
 * Exception message normally contains the Tcl interpreter result string that 
 * identifies the cause of the error.
 * 
 * @author Alden Dima
 * @version 0.1
 */
public class TclEvalException extends Exception {
    public TclEvalException() {
        super();
    }

    public TclEvalException(String s) {
        super(s);
    }    
}

